> ## Documentation Index
> Fetch the complete documentation index at: https://docs.makelocalads.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List product creatives

> Returns completed photoshoot creatives generated for a product.



## OpenAPI

````yaml /api/openapi.yaml get /products/{product_id}/creatives
openapi: 3.1.0
info:
  title: LocalAds API
  version: 1.0.0
  description: Public API for LocalAds customer integrations.
servers:
  - url: https://makelocalads.com/api/v1
security:
  - apiKey: []
paths:
  /products/{product_id}/creatives:
    parameters:
      - $ref: '#/components/parameters/ProductId'
    get:
      summary: List product creatives
      description: Returns completed photoshoot creatives generated for a product.
      operationId: listProductCreatives
      parameters:
        - $ref: '#/components/parameters/CreativeType'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Cursor'
      responses:
        '200':
          description: A page of completed product creatives.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductCreativeList'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    ProductId:
      name: product_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
    CreativeType:
      name: type
      in: query
      required: false
      description: Creative workflow to return. Currently only photoshoot is supported.
      schema:
        type: string
        enum:
          - photoshoot
        default: photoshoot
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 20
    Cursor:
      name: cursor
      in: query
      schema:
        type: string
      description: Opaque cursor returned by the previous page.
  schemas:
    ProductCreativeList:
      type: object
      additionalProperties: false
      required:
        - data
        - next_cursor
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ProductCreative'
        next_cursor:
          type:
            - string
            - 'null'
    ProductCreative:
      type: object
      additionalProperties: false
      required:
        - id
        - type
        - photoshoot_id
        - image_url
        - width
        - height
        - created_at
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - photoshoot
        photoshoot_id:
          type:
            - string
            - 'null'
          format: uuid
        image_url:
          type: string
          format: uri
        width:
          type:
            - integer
            - 'null'
        height:
          type:
            - integer
            - 'null'
        created_at:
          type: string
          format: date-time
    Problem:
      type: object
      required:
        - type
        - title
        - status
        - detail
        - code
        - request_id
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        request_id:
          type: string
  responses:
    BadRequest:
      description: Invalid request.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    Forbidden:
      description: The API key lacks the required permission.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    NotFound:
      description: Resource not found.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    RateLimited:
      description: API key rate limit exceeded.
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: lads_...

````